Skip to main content
POST
/
api
/
v2
/
vault
/
retrieve
Retrieve Data from Locker
curl --request POST \
  --url https://api.example.com/api/v2/vault/retrieve \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity_id": "<string>",
  "vault_id": "<string>"
}
'
import requests

url = "https://api.example.com/api/v2/vault/retrieve"

payload = {
"entity_id": "<string>",
"vault_id": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({entity_id: '<string>', vault_id: '<string>'})
};

fetch('https://api.example.com/api/v2/vault/retrieve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {}
}

Headers

x-tenant-id
string

Body

application/json

The request body might be JWE + JWS encrypted when using middleware

entity_id
string

Unique identifier for the entity

vault_id
string

Unique identifier for the vault

Response

200 - application/json

Retrieve Data Response

data
object